package com.engine.salary.service;

import com.engine.salary.entity.salarysob.po.SalarySobItemHidePO;

import java.util.List;

public interface SalarySobItemHideService {

    /**
     * 根据薪资账套id查询哪些字段关闭显示
     *
     * @param salarySobId
     * @return
     */
    List<Long> listHideGroupBysalarySobId(SalarySobItemHidePO salarySobId);

    /**
     * 根据薪资账套id查询哪些字段关闭显示
     *
     * @param po
     * @return
     */
    List<SalarySobItemHidePO> listSome(SalarySobItemHidePO po);

    void updateById(SalarySobItemHidePO salarySobItemHidePO);
}
